using System.Runtime.InteropServices;

namespace stardew_access.ScreenReader
{
    public class ScreenReaderController
    {
        public IScreenReader Initialize()
        {
            IScreenReader ScreenReader = new ScreenReaderMac(); // Mac by default

if (RuntimeInformation.IsOSPlatform(OSPlatform.Linux))
            {
                ScreenReaderLinux screenReaderLinux = new ScreenReaderLinux();
                screenReaderLinux.InitializeScreenReader();

                ScreenReader = screenReaderLinux;
            }
            else if (RuntimeInformation.IsOSPlatform(OSPlatform.OSX)) {
                var reader = new ScreenReaderMac();
                reader.InitializeScreenReader();

                ScreenReader = reader;
            }
            else
            {
                ScreenReader.InitializeScreenReader();
            }

            return ScreenReader;
        }
    }
}